Package: org.codehaus.groovy.tools.shell.completion

## [Groovy] Class ReflectionCompletionCandidate

- org.codehaus.groovy.tools.shell.completion.ReflectionCompletionCandidate

- All Implemented Interfaces and Traits:
    Comparable

      @CompileStatic
      class ReflectionCompletionCandidate

  A candidate as String with additional jansi formatting codes

- - ### Constructor Summary

    Constructors
    Constructor and description
    `ReflectionCompletionCandidate (String value, String... jAnsiCodes)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `int` | `compareTo(ReflectionCompletionCandidate o)`
    `` | `boolean` | `equals(def o)`
    `` | `String` | `getValue()`
    `` | `List<String>` | `getjAnsiCodes()`
    `` | `int` | `hashCode()`
    `` | `String` | `toString()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### ReflectionCompletionCandidate(String value, String... jAnsiCodes)

  - ### Method Detail

    - #### @Override int compareTo(ReflectionCompletionCandidate o)

    - #### @Override boolean equals(def o)

    - #### String getValue()

    - #### List<String> getjAnsiCodes()

    - #### @Override int hashCode()

    - #### @Override String toString()